import { App } from '@kevisual/router';
import { log } from './logger/index.ts';
const app = new App();

app
  .route({
    path: 'demo',
    key: 'demo',
    id: 'demo',
  })
  .define(async (ctx) => {
    ctx.body = 'hello world';
  })
  .addTo(app);

console.log('app', 'http://localhost:5002/api/router?path=demo&key=demo');
console.log('app', 'http://localhost:5002/api/router?path=demo&key=demo');

app.listen(5002);

// deno run --allow-all  src/app.ts

log.info('app', 'http://localhost:5002/api/router?path=demo&key=demo');
